Bug 90732 - Upgrade to RH9 Broke Papersize Settings
Upgrade to RH9 Broke Papersize Settings
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: groff (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-12 22:19 EDT by John Verel
Modified: 2007-04-18 12:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-21 05:05:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Verel 2003-05-12 22:19:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Upgraded to 9 from 8.  Under 8 had changed paper size in:
/usr/share/groff/1.18.1/font/devX100-12/DESC from A4 to letter.
Upgrade to 9 changed back to A4 with no rpmsave file.

Installer should check locale, i.e. United States, and make reasonable
assumption about paper size, e.g, letter.

Version-Release number of selected component (if applicable):
groff-1.18.1-20

How reproducible:
Always

Steps to Reproduce:
1. Enter 'man -t man | lpr'
2. Go to printer  located in US loaded with 8.5 x 11 size paper
3. Observe that paper size format choice is wrong
    

Actual Results:  See above.

Expected Results:  Should have assumed letter size paper

Additional info:

Upgrade, if it changes anything, should leave an .rpmsave file and an upgrade
log entry.  I examined /root/upgrade.log.  No indication of change.
Comment 1 Florian La Roche 2003-05-21 05:05:27 EDT
The above file is no real config file to change papersize. Also upstream
groff has decided to not use locale settings to determin the papersize due
to historical reasons. I'll stay with that decision for the Red Hat rpm
package, too.

Thanks a lot for your report,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.